com.facebook.presto.jdbc

## Class QueryStats

- java.lang.Object
- - com.facebook.presto.jdbc.QueryStats

    public final class QueryStats
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`QueryStats(String queryId, String state, boolean queued, boolean scheduled, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long userTimeMillis, long cpuTimeMillis, long wallTimeMillis, long queuedTimeMillis, long elapsedTimeMillis, long processedRows, long processedBytes, long peakMemoryBytes, Optional<StageStats> rootStage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompletedSplits()`
`long` `getCpuTimeMillis()`
`long` `getElapsedTimeMillis()`
`int` `getNodes()`
`long` `getPeakMemoryBytes()`
`long` `getProcessedBytes()`
`long` `getProcessedRows()`
`OptionalDouble` `getProgressPercentage()`
`String` `getQueryId()`
`int` `getQueuedSplits()`
`long` `getQueuedTimeMillis()`
`Optional<StageStats>` `getRootStage()`
`int` `getRunningSplits()`
`String` `getState()`
`int` `getTotalSplits()`
`long` `getUserTimeMillis()`
`long` `getWallTimeMillis()`
`boolean` `isQueued()`
`boolean` `isScheduled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryStats

    public QueryStats(String queryId,
                      String state,
                      boolean queued,
                      boolean scheduled,
                      int nodes,
                      int totalSplits,
                      int queuedSplits,
                      int runningSplits,
                      int completedSplits,
                      long userTimeMillis,
                      long cpuTimeMillis,
                      long wallTimeMillis,
                      long queuedTimeMillis,
                      long elapsedTimeMillis,
                      long processedRows,
                      long processedBytes,
                      long peakMemoryBytes,
                      Optional<StageStats> rootStage)

### Method Detail

#### getQueryId

    public String getQueryId()

#### getState

    public String getState()

#### isQueued

    public boolean isQueued()

#### isScheduled

    public boolean isScheduled()

#### getNodes

    public int getNodes()

#### getTotalSplits

    public int getTotalSplits()

#### getQueuedSplits

    public int getQueuedSplits()

#### getRunningSplits

    public int getRunningSplits()

#### getCompletedSplits

    public int getCompletedSplits()

#### getUserTimeMillis

    public long getUserTimeMillis()

#### getCpuTimeMillis

    public long getCpuTimeMillis()

#### getWallTimeMillis

    public long getWallTimeMillis()

#### getQueuedTimeMillis

    public long getQueuedTimeMillis()

#### getElapsedTimeMillis

    public long getElapsedTimeMillis()

#### getProcessedRows

    public long getProcessedRows()

#### getProcessedBytes

    public long getProcessedBytes()

#### getPeakMemoryBytes

    public long getPeakMemoryBytes()

#### getRootStage

    public Optional<StageStats> getRootStage()

#### getProgressPercentage

    public OptionalDouble getProgressPercentage()